//#define DISABLE_BUMP
//#define USE_MIPMAP


// Useful constants
#define PI (3.14159f)
#define TWOPI (PI*2.0f)
#define PIBYTWO (PI/2.0f)
#define DEG_TO_RAD ((1.0f/360.0f)*2.0f*PI)

// Render quality
#define SPLINEINCREMENT_HARDCONSTANT (0.02f) // accuracy of arclength approximation (can also vary render quality)
#define TRIG_LOOKUP_RESOLUTION (1001) // integer please
#define SPLINETEXTUREINTERVAL (200) // can change - (render quality) number of triangle sets per spline fragment
#define SCALEUP (3.0f) // dont change this it is unlikely to affect quality and may break something


// Texture mapping
#define STROKE_TEXTURE  "stroketex3.bmp" //1 - hertzmann npar 2002 //2 - debug wth dots //3 - more square // 4-very square
#define STROKE_BUMP "strokebump_mid.bmp"
#define TEXTURE_RESOLUTION (128.0)
#define TEX_MANUALMIP_SUBSAMPLE (3) // take it 3 levels below 128 for antialias

#define NUM_TEX (7+(TEX_MANUALMIP_SUBSAMPLE*3))
#define DOWNSAMPLERATE (2) // each downsample is 1/2 size i.e. 1/4 area
#define DOWNSAMPLE_LEVELS (0) // how many layers in pyramid below real source image

// method of texture mappign parametric curve (algebraic or arc-length param)
#define DO_ARCLENGTH_BUMPMAP
#define DO_ARCLENGTH_TEXTUREMAP
